Bug 66043 - EDITING: Spellchecking tracked and shown changes - erratic underlining
Summary: EDITING: Spellchecking tracked and shown changes - erratic underlining
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: needsDevEval
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2013-06-22 10:21 UTC by Martin Srebotnjak
Modified: 2021-07-13 19:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2013-06-22 10:21:57 UTC
I see this a long time but only now decided to call it a bug (don't know why I didn't react sooner).

When changes are tracked (Edit - Changes - Track) and changes are shown (Edit - Changes- Show) and a word is misspelt:
(1) if you add a missing letter and by this the word becomes spelled correctly, the word loses the red marking of a misspelt word (which is great);
(2) if you remove an excess letter and by this the word becomes spelled correctly, the word still keeps the red marking of a misspelt word (which is an error);

Of course, if changes are not viewed, just tracked, in the second example the red marking is removed, as it should be.

If you turn on the show of changes, the same corrected word gets underlined as misspelt.
If you turn off the show of changes, the same word loses the red underline.

I also found an exemption of this rule: if the excess letters are the first letters of a misspelt word, even if both options are on, upon removing those excess letters when both funcions are turned on - the red underline correctly vanishes. (in Slovenian changing word "odreagira" to "reagira"). Strange.
Comment 1 Martin Srebotnjak 2013-06-22 10:47:03 UTC
Also, I noticed:
- there are cases when it works properly even if a character is deleted from within the word (Slovenian: vrednoste -> vrednote; vplejati -> vpeljati);
- it also works if excess characters are only at the end of the word (just as if they are only at the beginning of the word).
Comment 2 Jean-Baptiste Faure 2013-07-14 03:45:37 UTC
Indeed, in the case of tracked and shown changes, it seems that the spellchecker has some difficulty to know what is the word to be checked.

Best regards. JBF
Comment 3 Joel Madero 2014-02-27 22:55:10 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:20:45 UTC Comment hidden (obsolete)
Comment 5 Maris Nartiss 2016-10-04 08:08:06 UTC
This issue also affects grammar / style checkers (Lightproof). Tested with 5.2.1.2.
Comment 6 QA Administrators 2017-10-23 14:13:32 UTC Comment hidden (obsolete)
Comment 7 Jean-Baptiste Faure 2017-10-28 21:24:55 UTC
Still reproducible with current master. Ubuntu 16.04.

Best regards. JBF
Comment 8 QA Administrators 2018-10-29 03:58:48 UTC Comment hidden (obsolete)
Comment 9 mousebot 2019-11-25 16:13:24 UTC
i still have this issue with Version: 6.3.3.2.0+ on debian buster.

if when tracking changes you add/insert/remove bits of the word to make it into another correct word, spellchecker reads the whole set of inserted/deleted chars. the list of suggested alternatives also shows this by suggesting words based on all the chars.
Comment 10 Commit Notification 2020-12-02 17:06:42 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d08e41379d39a3b552c2c8a34fe1c4849bb80bc9

tdf#66043 sw: fix spell checking of word with deletion

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-12-03 08:59:07 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/b4707a331d8f28c87e3e48709937da1260ace596

tdf#66043 sw: fix spell checking of word with deletion

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 NISZ LibreOffice Team 2021-01-05 12:15:40 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 96bafa464ebdbce3ef04bec9beae5e745bb37794
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded
Comment 13 Márcio Sena 2021-06-11 12:50:30 UTC
On the 7.1.3.2 version, the problem with spellchecking/ortography mark (red squiggly line) is fixed, but the problem with grammar checking (blue squiggly line) persists. At least for the Brazilian Portuguese dictionary, but I believe it's a general problem.
Comment 14 NISZ LibreOffice Team 2021-06-22 12:38:07 UTC
(In reply to Márcio Sena from comment #13)
> On the 7.1.3.2 version, the problem with spellchecking/ortography mark (red
> squiggly line) is fixed, but the problem with grammar checking (blue
> squiggly line) persists. At least for the Brazilian Portuguese dictionary,
> but I believe it's a general problem.

That's a separate issue and deserves a new bug. I just filed one, thanks for noticing.